<?php
require_once "./source/includes/data.php";


	
	switch ($mmhclass->input->get_vars['act']) {
		case "contact_us":
			$mmhclass->templ->page_title .= "تماس با {$mmhclass->info->config['site_name']} | آپلود عکس و فایل رایگان و دائمی";
	
			$captcha_session_id = $mmhclass->funcs->random_string(25);
			$mmhclass->db->query("INSERT INTO `mmh_captcha_sessions` (`session_id`, `captcha_code`, `session_start`) VALUES ('{$captcha_session_id}', '".$mmhclass->funcs->random_string(7)."', '".time()."');");

			$mmhclass->templ->templ_vars[] = array(
				"SITE_NAME"  => $mmhclass->info->config['site_name'],
				"CAPTCHA_ID" => $captcha_session_id,
			);
			
			$mmhclass->templ->output("contact", "contact_us_page");
			break;
		case "contact_us-s":
			$mmhclass->templ->page_title .= "تماس با {$mmhclass->info->config['site_name']} | آپلود عکس و فایل رایگان و دائمی";
			
			if ($mmhclass->funcs->is_null($mmhclass->input->post_vars['email_address']) == true || $mmhclass->funcs->is_null($mmhclass->input->post_vars['message_body']) == true || $mmhclass->funcs->is_null($mmhclass->input->post_vars['captcha_code']) == true) {
				$mmhclass->templ->error(".لطفا از تکمیل صحیح تمامی فیلدهای صفحه ی قبل اطمینان حاصل نمایید", true);
			} elseif ($mmhclass->db->total_rows($mmhclass->db->query("SELECT * FROM `mmh_captcha_sessions` WHERE `captcha_code` = '{$mmhclass->input->post_vars['captcha_code']}';")) != 1) {
				$mmhclass->templ->error(".کد عکس امنیتی وارد شده، صحیح نمیباشد");
			} elseif ($mmhclass->funcs->valid_email($mmhclass->input->post_vars['email_address']) == false) {
				$mmhclass->templ->error(".لطفا از صحت آدرس پست الکترونیک واردشده اطمینان حاصل نمائید");
			} else {
				$mmhclass->db->query("DELETE FROM `mmh_captcha_sessions` WHERE `captcha_code` = '{$mmhclass->input->post_vars['captcha_code']}';");
				
				$mmhclass->templ->templ_vars[] = array(
					"SITE_NAME"     => $mmhclass->info->config['site_name'],
					"EMAIL_ADDRESS" => $mmhclass->input->post_vars['email_address'],
					"EMAIL_BODY"    => strip_tags(str_replace("<br />", "\n", $mmhclass->input->post_vars['message_body'])),
				);
				
				$message_body = $mmhclass->templ->parse_template("contact", "contact_us_email"); 

				$email_headers  = "از: {$mmhclass->info->config['site_name']} <{$mmhclass->info->config['email_out']}>\r\n";
				$email_headers .= "پاسخ به: {$mmhclass->input->post_vars['email_address']}\r\n";

				if (mail($mmhclass->info->config['email_out'], "Contact Us Form ({$mmhclass->info->config['site_name']})", $message_body, $email_headers) == true) {
					$mmhclass->templ->message("The {$mmhclass->info->config['site_name']} team has been successfully contacted. <br /><br /> <a href=\"index.php\">Site Index</a>", true);
				} else {
					$mmhclass->templ->error("ارسال پست الکترونیک به دلایل نا معلومی با اشکال مواجه شد.");
				}
			}
			break;
		case "file_report":
			$mmhclass->templ->page_title .= "گزارش تخلف | آپلود عکس و فایل رایگان و دائمی";
	
			$captcha_session_id = $mmhclass->funcs->random_string(25);
			$mmhclass->db->query("INSERT INTO `mmh_captcha_sessions` (`session_id`, `captcha_code`, `session_start`) VALUES ('{$captcha_session_id}', '".$mmhclass->funcs->random_string(7)."', '".time()."');");

			$mmhclass->templ->templ_vars[] = array(
				"SITE_NAME"       => $mmhclass->info->config['site_name'],
				"CAPTCHA_ID"      => $captcha_session_id,
				"PREDEFINED_LIST" => (($mmhclass->funcs->is_null($mmhclass->input->get_vars['file']) == false) ? ($mmhclass->info->base_url.$mmhclass->info->config['upload_path'].basename($mmhclass->input->get_vars['file'])) : NULL),
			);
			
			$mmhclass->templ->output("contact", "report_files_page");
			break;
		case "file_report-s":
			$mmhclass->templ->page_title .= "گزارش تخلف | آپلود عکس و فایل رایگان و دائمی";
			
			if ($mmhclass->funcs->is_null($mmhclass->input->post_vars['email_address']) == true || $mmhclass->funcs->is_null($mmhclass->input->post_vars['message_body']) == true || $mmhclass->funcs->is_null($mmhclass->input->post_vars['captcha_code']) == true) {
				$mmhclass->templ->error(".لطفا از تکمیل صحیح تمامی فیلدهای صفحه ی قبل اطمینان حاصل نمائید", true);
			} elseif ($mmhclass->db->total_rows($mmhclass->db->query("SELECT * FROM `mmh_captcha_sessions` WHERE `captcha_code` = '{$mmhclass->input->post_vars['captcha_code']}';")) != 1) {
				$mmhclass->templ->error(".کد عکس امنیتی وارد شده، صحیح نمیباشد");
			} elseif ($mmhclass->funcs->valid_email($mmhclass->input->post_vars['email_address']) == false) {
				$mmhclass->templ->error(".لطفا از صحت آدرس پست الکترونیک واردشده اطمینان حاصل نمائید");				$mmhclass->templ->error(".لطفا از صحت آدرس پست الکترونیک واردشده اطمینان حاصل نمائید");
			} else {
				$mmhclass->db->query("DELETE FROM `mmh_captcha_sessions` WHERE `captcha_code` = '{$mmhclass->input->post_vars['captcha_code']}';");
				
				$mmhclass->templ->templ_vars[] = array(
					"SITE_NAME"     => $mmhclass->info->config['site_name'],
					"EMAIL_ADDRESS" => $mmhclass->input->post_vars['email_address'],
					"EMAIL_BODY"    => strip_tags(str_replace("<br />", "\n", $mmhclass->input->post_vars['message_body'])),
				);
				
				$message_body = $mmhclass->templ->parse_template("contact", "report_files_email"); 
	
				$email_headers  = "از: {$mmhclass->info->config['site_name']} <{$mmhclass->info->config['email_out']}>\r\n";
				$email_headers .= "پاسخ به: {$mmhclass->input->post_vars['email_address']}\r\n";

				if (mail($mmhclass->info->config['email_out'], "File Report ({$mmhclass->info->config['site_name']})", $message_body, $email_headers) == true) {
					$mmhclass->templ->message("ارتباط با {$mmhclass->info->config['site_name']} .برقرار گردید<br /><br /> <a href=\"index.php\">صفحه اصلی</a>", true);
				} else {
					$mmhclass->templ->error(".ارسال پست الکترونیک به دلایل نا معلومی با اشکال مواجه شد");
				}
			}
			break;
		default:
			$mmhclass->templ->error(".شما با خطا مواجه شده اید. برای رفع این مشکل بایستی به صفحه اصلی سایت برگردید");
	}

?>
 